From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/emacs:master commit in: app-editors/zile/
Date: Sat, 2 Jan 2021 11:50:27 +0000 (UTC) [thread overview]
Message-ID: <1609588163.aad66832acf1c79460ba596208114c9fbd85cf34.ulm@gentoo> (raw)
commit: aad66832acf1c79460ba596208114c9fbd85cf34
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 2 11:49:23 2021 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 2 11:49:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/emacs.git/commit/?id=aad66832
app-editors/zile: Alpha version of zile written in vala
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-editors/zile/Manifest | 1 +
app-editors/zile/metadata.xml | 14 +++++++++
app-editors/zile/zile-2.6.0.93.ebuild | 54 +++++++++++++++++++++++++++++++++++
3 files changed, 69 insertions(+)
diff --git a/app-editors/zile/Manifest b/app-editors/zile/Manifest
new file mode 100644
index 0000000..f74896a
--- /dev/null
+++ b/app-editors/zile/Manifest
@@ -0,0 +1 @@
+DIST zile-2.6.0.93.tar.gz 1152083 BLAKE2B b05fdfe49898e3c416809f2aa27d0f28ca0ea2aedfc8c7c6af79a15d0415d7ba61d61f23d97086cf2134bebf3dfa60aa6805fa8251194ae905064fd30103ff16 SHA512 4d8afa5dce00319d4c0aa8b473661a884dd2093e40e5af86fe9d2728f8234b490312f69c99d3fbd6dbd00f646615a4ea2c2feff919f5b3e987cf3f02fa3a8a0e
diff --git a/app-editors/zile/metadata.xml b/app-editors/zile/metadata.xml
new file mode 100644
index 0000000..18774a1
--- /dev/null
+++ b/app-editors/zile/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>emacs@gentoo.org</email>
+ <name>Gentoo Emacs project</name>
+</maintainer>
+<longdescription>
+ Zile is a small, fast, and powerful Emacs clone. It is useful for small
+ footprint installations (e.g. on floppy disk), machines with little memory,
+ or quick editing sessions, especially on remote machines or as a different
+ user, e.g. root.
+</longdescription>
+</pkgmetadata>
diff --git a/app-editors/zile/zile-2.6.0.93.ebuild b/app-editors/zile/zile-2.6.0.93.ebuild
new file mode 100644
index 0000000..150d91c
--- /dev/null
+++ b/app-editors/zile/zile-2.6.0.93.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+#VALA_MIN_API_VERSION=0.52
+
+inherit toolchain-funcs #vala
+
+DESCRIPTION="Zile is a small Emacs clone"
+HOMEPAGE="https://www.gnu.org/software/zile/"
+SRC_URI="mirror://gnu-alpha/zile/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+#IUSE="vala-build"
+
+RDEPEND="dev-libs/glib:2
+ dev-libs/libgee:0.8=
+ sys-libs/ncurses:0="
+
+DEPEND="${RDEPEND}"
+# vala-build? ( $(vala_depend) )
+
+BDEPEND="dev-lang/perl
+ virtual/pkgconfig"
+
+# AUTHORS, FAQ, and NEWS are installed by the build system
+DOCS="README THANKS"
+
+QA_AM_MAINTAINER_MODE=".*help2man.*" #450278
+
+#src_prepare() {
+# default
+# if use vala-build; then
+# vala_src_prepare
+# rm *_vala.stamp || die
+# fi
+#}
+
+src_configure() {
+ econf CURSES_LIB="$("$(tc-getPKG_CONFIG)" --libs ncurses)"
+}
+
+src_test() {
+ if tput cup 0 0 >/dev/null || tput cuu1 >/dev/null; then
+ # We have a sane terminal that can move the cursor
+ emake check
+ else
+ ewarn "Terminal type \"${TERM}\" is too stupid to run zile"
+ ewarn "Running the tests with unset TERM instead"
+ ( unset TERM; emake check )
+ fi
+}
next reply other threads:[~2021-01-02 11:50 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-02 11:50 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-01-02 14:03 [gentoo-commits] repo/proj/emacs:master commit in: app-editors/zile/ Ulrich Müller
2022-02-14 17:11 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609588163.aad66832acf1c79460ba596208114c9fbd85cf34.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox